> ## Documentation Index
> Fetch the complete documentation index at: https://infercrane.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Record bounded provider-native artifact cache evidence



## OpenAPI

````yaml /openapi.json post /api/v1/artifacts/{id}/cache-observations
openapi: 3.1.0
info:
  description: >-
    Durable, authenticated control-plane operations. Mutation responses may
    outlive the requesting client.
  title: InferCrane Control API
  version: 2.0.0
servers:
  - description: Local InferCrane API and gateway
    url: http://127.0.0.1:18000
security: []
tags:
  - name: Admission
  - name: Adoption
  - name: Alerts
  - name: Async inference
  - name: Audit
  - name: Autopilot
  - name: Benchmarks
  - name: Burst Guard
  - name: Capacity intelligence
  - name: Context Passport
  - name: Deployments
  - name: Diagnostics
  - name: Endpoints
  - name: External capacity
  - name: FinOps
  - name: Identity
  - name: Inference
  - name: Inference Lab
  - name: Inference decisions
  - name: Infrastructure
  - name: Model artifacts
  - name: Monitoring
  - name: Operations
  - name: Recipes
  - name: Release Guard
  - name: Release evidence
  - name: Replay
  - name: Revisions
  - name: Routing
  - name: Sandboxes
  - name: Scaling
  - name: Secrets
  - name: System
  - name: Targets
  - name: Training lineage
paths:
  /api/v1/artifacts/{id}/cache-observations:
    post:
      tags:
        - Model artifacts
      summary: Record bounded provider-native artifact cache evidence
      operationId: recordArtifactCacheObservation
      parameters:
        - in: path
          name: id
          required: true
          schema:
            minLength: 1
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ArtifactCacheObservationRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Object'
          description: Created
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
          description: Typed API error
      security:
        - bearerAuth: []
components:
  schemas:
    ArtifactCacheObservationRequest:
      properties:
        evidence:
          type: object
        location:
          type: string
        provider:
          type: string
        region:
          type: string
        source:
          type: string
        state:
          enum:
            - present
            - prefetching
            - missing
            - unknown
          type: string
        ttl_seconds:
          default: 300
          maximum: 86400
          minimum: 1
          type: integer
      required:
        - provider
        - location
        - state
        - source
      type: object
    Object:
      additionalProperties: true
      type: object
    ErrorEnvelope:
      properties:
        error:
          $ref: '#/components/schemas/Error'
      required:
        - error
      type: object
    Error:
      properties:
        category:
          type: string
        code:
          type: string
        message:
          type: string
        remediation:
          type: string
        request_id:
          type: string
        retryable:
          type: boolean
      required:
        - code
        - message
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````